Categories:
  - System
License: GPL-3.0-only
AuthorName: Tibor Kaputa
AuthorEmail: hello@simplemobiletools.com
WebSite: https://simplemobiletools.com
SourceCode: https://github.com/SimpleMobileTools/Simple-Flashlight
IssueTracker: https://github.com/SimpleMobileTools/Simple-Flashlight/issues
Changelog: https://github.com/SimpleMobileTools/Simple-Flashlight/blob/HEAD/CHANGELOG.md
Donate: https://simplemobiletools.com/donate
Bitcoin: 19Hc8A7sWGud8sP19VXDC5a5j28UyJfpyJ
Litecoin: LYACbHTKaM9ZubKQGxJ4NRyVy1gHUuztRP

AutoName: Flashlight

RepoType: git
Repo: https://github.com/SimpleMobileTools/Simple-Flashlight

Builds:
  - versionName: '1.8'
    versionCode: 8
    commit: 3562a37fd0e968f547e3d87388a4bd624a8c7370
    subdir: app
    gradle:
      - yes

  - versionName: '1.9'
    versionCode: 9
    commit: '1.9'
    subdir: app
    gradle:
      - yes

  - versionName: '1.11'
    versionCode: 11
    commit: '1.11'
    subdir: app
    gradle:
      - yes

  - versionName: '1.13'
    versionCode: 13
    commit: '1.13'
    subdir: app
    gradle:
      - yes

  - versionName: '1.14'
    versionCode: 14
    commit: '1.14'
    subdir: app
    gradle:
      - yes

  - versionName: '1.15'
    versionCode: 15
    commit: '1.15'
    subdir: app
    gradle:
      - yes

  - versionName: '1.17'
    versionCode: 17
    commit: '1.17'
    subdir: app
    gradle:
      - yes

  - versionName: '1.18'
    versionCode: 18
    commit: '1.18'
    subdir: app
    gradle:
      - yes

  - versionName: '1.19'
    versionCode: 19
    commit: '1.19'
    subdir: app
    gradle:
      - yes

  - versionName: '1.20'
    versionCode: 20
    commit: '1.20'
    subdir: app
    gradle:
      - yes

  - versionName: '1.21'
    versionCode: 21
    commit: '1.21'
    subdir: app
    gradle:
      - yes

  - versionName: '1.22'
    versionCode: 22
    commit: 0860286843d8cd34dfe842b42ef12356190206f2
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.0
    versionCode: 24
    commit: 3.0.0
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.1
    versionCode: 25
    commit: 3.0.1
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.0
    versionCode: 26
    commit: 3.1.0
    subdir: app
    gradle:
      - yes

  - versionName: 3.2.0
    versionCode: 27
    commit: 3.2.0
    subdir: app
    gradle:
      - yes

  - versionName: 3.2.1
    versionCode: 28
    commit: 3.2.1
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.0
    versionCode: 29
    commit: 4.0.0
    subdir: app
    gradle:
      - yes

  - versionName: 4.1.0
    versionCode: 30
    commit: 4.1.0
    subdir: app
    gradle:
      - yes

  - versionName: 4.2.0
    versionCode: 31
    commit: 4.2.0
    subdir: app
    gradle:
      - yes

  - versionName: 5.0.0
    versionCode: 32
    commit: 5.0.0
    subdir: app
    gradle:
      - yes

  - versionName: 5.0.1
    versionCode: 33
    commit: 5.0.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 5.0.2
    versionCode: 34
    commit: 5.0.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 5.0.3
    versionCode: 35
    commit: 5.0.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 5.0.4
    versionCode: 36
    commit: 5.0.4
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.0.5
    versionCode: 37
    commit: 5.0.5
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.1.0
    versionCode: 39
    commit: 5.1.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.1.1
    versionCode: 41
    commit: 5.1.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.2.0
    versionCode: 42
    commit: 5.2.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.3.0
    versionCode: 43
    commit: 5.3.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.4.0
    versionCode: 44
    commit: 5.4.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.4.1
    versionCode: 45
    commit: 5.4.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.4.2
    versionCode: 46
    commit: 5.4.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.4.3
    versionCode: 47
    commit: 5.4.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.5.0
    versionCode: 48
    disable: https://gitlab.com/fdroid/rfp/-/issues/2007
    commit: 93d1900d2880b53178158503463bd6be8985b015
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.5.1
    versionCode: 49
    disable: https://gitlab.com/fdroid/rfp/-/issues/2007
    commit: ff99c864baf4ea94b9135816ace73d1ef6199f12
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.5.2
    versionCode: 50
    disable: https://gitlab.com/fdroid/rfp/-/issues/2007
    commit: 5483ff3d348d50a3af179fc7ed73b73573d597d1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.5.3
    versionCode: 51
    commit: 5ce950df4a0f80dab3bd28950669a63903a061f0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.6.0
    versionCode: 52
    commit: 3d5a52e31f76235d2a11e36050fd68970b520e7d
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.6.1
    versionCode: 53
    commit: 3ae15fabbf6156c795d0e9c8efdb8fb3462845e9
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.6.2
    versionCode: 54
    commit: 3f191c9ef6bbfa543c6054ece2dd97213a572048
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.6.3
    versionCode: 55
    commit: 21500dc9fee3b1e52839fc9a3bafdce3d9cebee4
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.7.0
    versionCode: 56
    commit: 68d9ef4ce60edc63408b44dd1ae903c05fecc21a
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 5.7.0
CurrentVersionCode: 56
